<template>
  <div
    :id="identificador"
    class="input-group"
    :data-kt-dialer-min="valorMin"
    :data-kt-dialer-max="valorMax"
    :data-kt-dialer-step="valorEscala"
    data-kt-dialer-prefix=""
  >
    <button
      class="btn btn-icon btn-outline btn-outline-secondary"
      type="button"
      @click="onDecrementar()"
    >
      <i class="bi bi-dash fs-1" />
    </button>
    <input
      ref="inputMarcadorValor"
      class="form-control"
      value="0"
      type="text"
      :placeholder="titulo"
      data-kt-dialer-control="input"
    >
    <button
      class="btn btn-icon btn-outline btn-outline-secondary"
      type="button"
      @click="onIncrementar()"
    >
      <i class="bi bi-plus fs-1" />
    </button>
  </div>
</template>
<script>
export default {
  name: 'InputMarcador',
  components: {
  },
  props: {
    valorMin: {type: Number, required: true},
    valorMax: {type: Number, required: true},
    valorEscala: {type: Number, required: true},
    valorInicial: {type: Number, required: true},
    titulo: {type: String, required: true},
    identificador: {type: String, required: true}
  },
  data() {
    return {
      componentes: {
        ktDialer: null
      },
    }
  },
  mounted() {
    const eKTDailer = document.querySelector('#'+this.identificador);
    this.componentes.ktDialer = new window.KTDialer(eKTDailer, {});
  },
  unmounted() {
    this.componentes.ktDialer.destroy();
  },

  methods: {
    onDecrementar() {
      this.componentes.ktDialer.decrease();
    },
    onIncrementar() {
      this.componentes.ktDialer.increase();
    },
    getValor() {
      return this.$refs.inputMarcadorValor.value;
    }
  }
}
</script>